=== debian/changelog ===
kio-fuse (5.0.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Cherry-pick upstream fixes:
    - Unbreak KRunner’s ability to display man: and info: URLs in your web
      browser.
    - Improve URL logging.
  * Point copyright source to KDE invent repo.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 28 Feb 2021 23:05:10 +0100

kio-fuse (5.0.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Add the configuration for the CI on salsa.
  * Use the upstream Git repository as Homepage.
  * Disable the build of unit tests, since they are not run anyway.
  * Use https in the watch file.

  [ Norbert Preining ]
  * Cherry-pick upstream patches for critical fixes.
    - upstream-1ee510ba-check-return-value-of-createNodeFromUDSEntry.patch
    - upstream-d69959e2-uds-url-target-use.patch

 -- Norbert Preining <norbert@preining.info>  Fri, 22 Jan 2021 10:48:21 +0900

kio-fuse (5.0.0-2) unstable; urgency=medium

  * Rename license tag to match content.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 07:24:03 +0900

kio-fuse (5.0.0-1) unstable; urgency=medium

  * First release to Debian (Closes: #978728)

 -- Norbert Preining <norbert@preining.info>  Thu, 31 Dec 2020 07:52:39 +0900
