=== debian/control ===
Source: kio-fuse
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.66.0~),
               libfuse3-dev,
               libkf5config-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-fuse
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-fuse.git
Homepage: https://invent.kde.org/system/kio-fuse

Package: kio-fuse
Architecture: any
Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: FUSE Interface for KIO
 KIOFuse allows the possibility to mount KIO filesystems in the local
 system, exposing them to every application.
