=== debian/changelog ===
kio-fuse (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream-1ee510ba-check-return-value-of-createNodeFromUDSEntry.patch:
      drop, backported from upstream
    - upstream-d69959e2-uds-url-target-use.patch: drop, backported from upstream
    - upstream-3bb07481-improve-url-logging.patch: drop, backported from
      upstream
    - upstream-1dfbaa6-error-out-when-ioslaves-state-that-slash-is-a-regular-file.patch:
      drop, backported from upstream
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 08:07:15 +0200
