=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.12.0~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-fuse
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-fuse.git
