=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://download.kde.org/stable/kio-fuse/([\d.]+)/kio-fuse-([\d.]+).tar.xz
