=== debian/changelog ===
kio-fuse (5.1.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix upstream bugtracker URLs.
  * Fix target of debian/watch file.
  * New upstream release (5.1.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Remove inactive uploaders.
  * Add myself to the uploaders.
  * Update the list of installed files.

  [ Pino Toscano ]
  * Update standards version to 4.7.0, no changes needed.
  * Rename debian/docs to debian/kio-fuse.docs, to make it clearer to which
    package it refers to.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 22:48:54 +0100
