=== debian/control ===
Source: kio-fuse
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.96~),
               libfuse3-dev,
               libkf6coreaddons-dev (>= 5.96~),
               libkf6kio-dev (>= 5.96~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 5.15~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-fuse
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-fuse.git
Homepage: https://invent.kde.org/system/kio-fuse

Package: kio-fuse
Architecture: any
Depends: fuse3, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: FUSE Interface for KIO
 KIOFuse allows the possibility to mount KIO filesystems in the local
 system, exposing them to every application.
