=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://download.kde.org/Attic/kio-fuse/kio-fuse-([\d.]+).tar.xz
