## kio-fuse 5.1.0+p24.04+vstable+git20251015.1233

=== debian/changelog ===
kio-fuse (5.1.0+p24.04+vstable+git20251015.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:33:19 +0000

kio-fuse (5.1.0-1) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 12 Dec 2023 22:06:49 +1000
