=== debian/control ===
Source: kio-fuse
Section: kde
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libfuse3-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kio-fuse
Vcs-Git: https://invent.kde.org/neon/extras/kio-fuse.git
Vcs-Browser: https://invent.kde.org/neon/extras/kio-fuse
Maintainer: Neon CI <neon@kde.org>

Package: kio-fuse
Architecture: any
Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: FUSE Interface for KIO
 KIOFuse allows the possibility to mount KIO filesystems in the local
 system, exposing them to every application.
