## kio-fuse 5.1.0+p24.04+vunstable+git20251020.1248

=== debian/changelog ===
kio-fuse (5.1.0+p24.04+vunstable+git20251020.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:48:20 +0000
