## kio-fuse 5.1.1

=== debian/changelog ===
kio-fuse (5.1.1-0+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 23:45:49 +0000

kio-fuse (5.1.1-0) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 05 Nov 2025 12:05:11 +1000
