## kio-fuse 5.1.1+p24.04+vstable+git20251106.1326

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kio-fuse VERSION 5.0.0)
+project(kio-fuse VERSION 6.0.0)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(QT_MIN_VERSION 5.15)
-set(KF_MIN_VERSION 5.96)
+set(QT_MIN_VERSION 6.9)
+set(KF_MIN_VERSION 6.19)
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
