=== debian/changelog ===
kio-fuse (5.1.1+p24.04+vstable+git20251106.1326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 13:26:23 +0000
