=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                kf6-ki18n-dev,
                kf6-kio-dev,
                libfuse3-dev,
-               pkg-config,
                pkg-kde-tools-neon,
+               pkgconf,
                qt6-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kio-fuse
 Vcs-Git: https://invent.kde.org/neon/extras/kio-fuse.git
@@ -23,7 +23,7 @@
 Package: kio-fuse
 Architecture: any
 Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
-Enhances: dolphin
+Enhances: dolphin, xdg-desktop-portal-kde
 Description: FUSE Interface for KIO
  KIOFuse allows the possibility to mount KIO filesystems in the local
  system, exposing them to every application.
