## kio-fuse 5.1.1+p24.04+vstable+git20251109.0313

=== debian/changelog ===
kio-fuse (5.1.1+p24.04+vstable+git20251109.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:13:20 +0000
