## kio-fuse 5.1.1+p24.04+vunstable+git20251105.0336

=== debian/changelog ===
kio-fuse (5.1.1+p24.04+vunstable+git20251105.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 03:36:48 +0000
